﻿using UnityEngine;
using System.Collections;

public class NoRats : Mod
{
    public void Start()
    {
        Debug.Log("Mod NoRats has been loaded!");
    }

    public void OnModUnload()
    {
        Debug.Log("Mod NoRats has been unloaded!");
    }

    public void Update()
    {
        StartCoroutine(RemoveRatCoroutine());
    }

    IEnumerator RemoveRatCoroutine()
    {
        if (GameObject.Find("AI_Rat(Clone)") != null)
        {
            Destroy(transform.Find("AI_Rat(Clone)"));
        }

        for (int i = 0; i < FindObjectsOfType<AI_NetworkBehaviour_Rat>().Length; i++)
        {
            Destroy(FindObjectsOfType<AI_NetworkBehaviour_Rat>()[i].gameObject);

        }

        yield return new WaitForSeconds(1f);
    }
}